Commit b39dba56 authored by Ben Boeckel's avatar Ben Boeckel
Browse files

python: update import statements for the RenderingUI module split

parent 7e00c104
......@@ -29,7 +29,8 @@ pygtk.require('2.0')
import gtk
from gtk import gdk
import gtk.gtkgl
from vtkmodules.vtkRenderingCore import vtkGenericRenderWindowInteractor, vtkRenderWindow
from vtkmodules.vtkRenderingCore import vtkRenderWindow
from vtkmodules.vtkRenderingUI import vtkGenericRenderWindowInteractor
class GtkGLExtVTKRenderWindowInteractor(gtk.gtkgl.DrawingArea):
......
......@@ -27,7 +27,7 @@ Bugs:
"""
import gtk, GDK, gtkgl
from vtkmodules.vtkRenderingCore import vtkGenericRenderWindowInteractor
from vtkmodules.vtkRenderingUI import vtkGenericRenderWindowInteractor
import math
......
......@@ -63,7 +63,8 @@ try:
except ImportError:
pass
from vtkmodules.vtkRenderingCore import vtkGenericRenderWindowInteractor, vtkRenderWindow
from vtkmodules.vtkRenderingCore import vtkRenderWindow
from vtkmodules.vtkRenderingUI import vtkGenericRenderWindowInteractor
if PyQtImpl is None:
# Autodetect the PyQt implementation to use
......
......@@ -36,7 +36,8 @@ Behaviour:
# import usual libraries
import math, os, sys
import wx
from vtkmodules.vtkRenderingCore import vtkGenericRenderWindowInteractor, vtkRenderWindow
from vtkmodules.vtkRenderingCore import vtkRenderWindow
from vtkmodules.vtkRenderingUI import vtkGenericRenderWindowInteractor
# a few configuration items, see what works best on your system
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment